(function ($, settings) {
    window.TX_Core = (function () {
        return {
            check_active: check_active
        };

        function check_active() {
            if (settings.active === 'yes' || settings.is_free === 'yes') {
                return true;
            }

            $(window).trigger('tx_wizard_trigger_open_modal', 'txw-modal-activate-theme');

            return false;
        }
    })();
})(jQuery, window.tx_wizard_settings);
